@import url('https://fonts.googleapis.com/css2?family=Contrail+One&family=Sofia+Sans:ital,wght@0,1..1000;1,1..1000&display=swap');

/* general */
:root {
  --nice-margin: 20px;
  --nice-red: #9b0c0c;
  --nice-green: #007a3d;
  --nice-fog: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(232, 232, 232, 0.8));
  --nice-grey: rgba(32, 45, 44, 0.75);
 }
body {
  margin: 0px;
  font-family: "Sofia Sans", calibri, helvetica, sans-serif;
  background-image: url("images/van-aerial.jpg");
  background-repeat: no-repeat;
  background-color: #201f1d;
  background-size: cover;
}
p {
  line-height: 1.5;
}
header a, nav a, .bigclicks a, #signup a {
  color: white;
}
a {
  color: var(--nice-green);
}
a:visited {
  color: inherit;
}
h1, h2, h3, h4 {
  font-family: "Contrail One", Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}
h1, h2, h4 {
  text-transform: uppercase;
}
h2 {
  font-size: 3rem;
}
.plat-main h2 {
  margin: 0;
}
h3 {
  margin: 0;
}
h4 {
  font-size: 2rem;
  margin-top: 0;
  margin-bottom: 0;
}
h5 {
  font-size: 1.2rem;
  color: black;
  padding: 10px;
  margin-left: 15px;
  line-height: 1.2rem;
}
img {
  width:100%;
}
input:focus {
  outline: var(--nice-red) var(--nice-line);
}
/* header */
header {
  background-color: var(--nice-grey);
  padding: 10px;
}
#logo img{
  width: 50px;
  padding: 0px 10px 10px 10px;
  margin-bottom: 10px;
  float: left;
  display: inline;
}
h1 {
  font-size: 3.5rem;
  line-height: 3.2rem;
  margin-bottom: 0;
  margin-top: 0;
  padding: 5px;
  color: white;
}
h1 a {
  color: white;
  text-decoration: none;
}
/* nav */
#burgermenu {
  border: none;
  float: right;
  margin-right: 20px;
  background-color: white;
  color: var(--nice-green);
  font-size: 2rem;
}
#burgermenu:hover, #closebutton:hover {
  cursor: pointer;
}
#closebutton {
  display: block;
  position:absolute;
  z-index: 1;
  right:10px;
  top:120px;
  border: none;
  background: none;
  color: black;
  font-size: 2rem;
}
nav {
  border-bottom: var(--nice-green) var(--nice-line);
  background-color: var(--nice-green);
  margin-top: 0;
}
nav ul {
  padding-left: 10px;
  padding-bottom: 5px;
  margin-bottom: 0px;
}
nav li {
  margin-left: 20px;
  padding: 5px;
  list-style: none;
  line-height: 2rem;
  color: white;
}
nav a {
  padding: 10px 100px 10px 10px;
  text-decoration: none;
}
nav a:active {
  color: white;
}
nav li:hover {
  background-color: black;
  max-width: 70%;
}
.onpage li {
  background-color: var(--nice-red);
}
/* footer */
footer {
  background: white;
  margin-top: var(--nice-margin);
  display: grid;
  grid-template-columns: 1fr 5fr;
}
footer img {
  display: inline;
  width: 150px;
  margin-right: var(--nice-margin);
  padding: 10px;
}
footer p {
  width: 80%;
}
/* hiddens */
aside, .closed {
  display: none;
}
/* home page */
.blurb {
  margin-top: var(--nice-margin);
  background-color: white;
  padding: 10px;
}
#demands {
  padding-top: 5px;
  padding-bottom: 5px;
}
.content {
  background-color: white;
  line-height: 2;
  margin: var(--nice-margin);
}
.home-main ol, .plat-main ol {
  width: 90%;
  list-style: none;
  counter-reset: item;
  list-style-position: inside;
  margin-left: -20px;
 }
.home-main ol li, .plat-main ol li{
   counter-increment: item;
   margin-bottom: 5px;
 }
.home-main ol li:before, .plat-main ol li:before{
   margin-right: 10px;
   content: counter(item);
   background: var(--nice-red);
   color: white;
   /* padding: 2px; */
   width: 1.5em;
   text-align: center;
   display: inline-block;
 }
.content h2{
  color: var(--nice-green);
  margin-left: var(--nice-margin);
  font-size: 4rem;
  margin-bottom: -30px;
}
.bigclicks {
  color: white;
  margin: 0;
  align-items:first baseline;
  padding-top: var(--nice-margin);
}
.bigclicks h2 {
  font-size: 5rem;
  margin: 0;
}
.bigclicks div {
  padding: var(--nice-margin);
  margin-bottom: var(--nice-margin);
}
#voters {
  background-color: var(--nice-red);
}
#commit {
  background-color: var(--nice-green);
}
.others {
  background-color: white;
}
.others div {
  padding: 20px;
}

/* about page*/
#socials td img{
  width: 70px;
  padding: 0px;
  margin: 0px 10px 0px 0px;
}
#socials h3{
  font-size: 2rem;
}
#socials p {
  width: 100%;
}
/* pledge action page*/
#pledge {
  background: var(--nice-fog);
  color: var(--nice-red);
  padding: 40px 20px 20px 20px;
  height: fit-content;
  line-height: 0.5rem;
}
#pledge img {
  width: 50%;
}
#pledge h4 {
  margin-top: 2rem;
  line-height: 2rem;
  padding-bottom: 10px;
}
#pledge a {
  color: var(--nice-red);
}
#signup {
  color: white;
  background-color: var(--nice-red);
  margin: 30px 0px 0px 0px;
  text-align: center;
  vertical-align: middle;
  padding-bottom: 10px;
}
#signup h2 {
  font-size: 5rem;
}
#signup a {
  color: white;
}
.content div{
  margin: var(--nice-margin);
  padding-bottom: var(--nice-margin);
}
.content div h3 {
  line-height: normal;
}
.content p {
    margin-top: 1px;
}
/* contact page */
#primary img {
  width: 200px;
  margin: var(--nice-margin);
}

/* endorsers page */
table, th, td {
  border: 1px solid var(--nice-fog);
  border-collapse: collapse;
}
th {
  text-align: left;
  font-size: xx-small;
}
td {
  font-size: larger;
}
.endor img {
  max-width: 10rem;
  margin: 0px;
}
.names {
  width: 70%;
}

/* cities page */
.cities div {
  background-color: var(--nice-red);
  margin: 10px 10px 0px 0px;
}
.cities a, .cities a:visited {
  color: white;
}
.cities h2 {
  margin-top: 0;
  font-size: 2rem;
  padding-bottom: 10px;
}

@media only screen and (min-width: 550px){
  header {
    padding-bottom: 20px;
  }
  h1 {
    padding-top: 20px;
  }
}

@media only screen and (min-width: 690px){
    /* header, nav, footer */
  header, footer {
    padding: 15px 10px 15px 10px;
  }
  h1 {
    font-size: 4.5rem;
    line-height: 5rem;
    padding: 5px;
  }
  h3 {
    font-size: 1.4em;
  }
  #closebutton, #burgermenu, .nav-extra {
    display: none;
  }
  .closed {
    display: block;
  }
  nav {
    margin-top: -22px;
    padding: none;
    border: none;
    background: var(--nice-green);
    text-align: right;
    width: fit-content;
    height: fit-content;
    float: right;
    right: 0;
  }
  nav ul {
    padding-top: 0;
    padding-bottom: 0;
    margin: 0px 10px 0px 0px;
  }
  nav li {
    display: inline-block;
    padding-left: 2px;
    padding-right: 2px;
    font-family: "Contrail One";
    font-size: 1.3rem;
    margin: 0px 1px 0px 5px;
  }
  ul li a.active {
    color: black;
  }
  nav a {
  padding: 10px 10px 10px 10px;
  }
  footer {
    margin-left: var(--nice-margin);
    padding: 0;
    width: fit-content;
  }
  footer img {
    width: 100px;
    margin-right: 14px;
  }
  /* main content */
  #primary, #demands {
    background: var(--nice-fog);
  }
  #primary p, #primary ol {
  width: 80%;
  }
  #primary {
  width: 90%;
  }
}

@media only screen and (min-width: 830px){
  body {
    background-size: 100%;
  }
  nav li {
    font-size: 1.5rem;
  }
    /* main and aside */
  .blurb {
    display: none;
  }
  aside {
    display:block;
    background-color: white;
    color: black ;
    padding: 10px;
    grid-row: 1/3;
  }
    /* homepage */
  .home-main {
    display: grid;
    grid-template-columns: 0fr 3fr;
    margin-right: var(--nice-margin);
    margin-top: 40px;
  }
  #demands {
    grid-column: span 1/3;
    margin: 0px 0px 0px 0px;
    padding-top: 0;
    padding-bottom: var(--nice-margin);
    height: fit-content;
  }
  .home-main ol {
    margin-bottom: -10px;
  }
  .home-main aside {
    width: 250px;
    margin-right: var(--nice-margin);
    margin-left: var(--nice-margin);
    grid-row-end: 4;
  }
  aside img {
    margin-bottom: 10px;
  }
  .bigclicks, .cities {
    grid-column: span 1/3;
    grid-row: 2;
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
  }
  #voters {
    margin-right: var(--nice-margin);
  }
    /* platform */
  .plat-main {
    display: grid;
    grid-template-columns: 2fr 1fr;
    margin-right: var(--nice-margin);
    margin-top: var(--nice-margin); 
  }
  .platty {
    grid-column: 2/2;
    margin-top: var(--nice-margin);
    height: fit-content;
    padding-left: 15px;
  }
/* endorser page */
  #endos {
  width: 80%;
}
}
